Skip to main content
GET
/
discovered-vendors
List discovered vendors
curl --request GET \
  --url https://api.vanta.com/v1/discovered-vendors \
  --header 'Authorization: Bearer <token>'
{
  "results": {
    "data": [
      {
        "id": "a2f7e1b9d0c3f4e5a6c7b8d8",
        "name": "Vanta",
        "category": {
          "name": "Engineering"
        },
        "source": "JAMF",
        "normalizedName": "vanta",
        "discoveredDate": "2024-01-01T00:00:00.000Z",
        "numberOfAccounts": 7,
        "ignored": {
          "ignoredByUserId": "6626afb14c912f0a50e85619",
          "ignoredReason": "reason",
          "ignoredAtDate": "2024-02-01T00:00:00.000Z"
        },
        "rejected": null
      }
    ],
    "pageInfo": {
      "hasNextPage": false,
      "hasPreviousPage": false,
      "startCursor": "6696ea0595df50d5cd6ec3b7",
      "endCursor": "6696ece48eb1f98ff3d927c6"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

scope
enum<string>

Defaults to "NEEDS_REVIEW" if not provided The scope of a discovered vendor. NEEDS_REVIEW: The vendor needs review IGNORED: The vendor was ignored REJECTED: The vendor was rejected

Available options:
NEEDS_REVIEW,
IGNORED,
REJECTED
pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

Response

200 - application/json

Ok

results
object
required